Long (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Long

    java.lang.Object
      java.lang.Long

    @TransactionType(value=NOT_SUPPORTED)
    public final class Long

extends Object

The Long class wraps a value of the primitive type `long` in an object. An object of type `Long` contains a single field whose type is `long`.

In addition, this class provides several methods for converting a `long` to a `String` and a `String` to a `long`, as well as other constants and methods useful when dealing with a `long`.

Instances of the Long class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `toString(long, int)` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.0, CLDC 1.0, Java Card 3.0

Field Summary
`static long` | `MAX_VALUE` The largest value of type `long`.
`static long` | `MIN_VALUE` The smallest value of type `long`.

Constructor Summary
`Long(long value)` Constructs a newly allocated `Long` object that represents the primitive `long` argument.

Method Summary
`boolean` | `equals(Object obj)` Compares this object against the specified object.
`int` | `hashCode()` Computes a hashcode for this Long.
`long` | `longValue()` Returns the value of this Long as a long value.
`static long` | `parseLong(String s)` Parses the string argument as a signed decimal `long`.
`static long` | `parseLong(String s, int radix)` Parses the string argument as a signed `long` in the radix specified by the second argument.
`String` | `toString()` Returns a String object representing this Long's value.
`static String` | `toString(long i)` Returns a new String object representing the specified integer.
`static String` | `toString(long i, int radix)` Creates a string representation of the first argument in the radix specified by the second argument.
`static Long` | `valueOf(long value)` Returns a `Long` instance representing the specified `long` value.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_VALUE

    public static final long MIN_VALUE

  The smallest value of type `long`.

  See Also:
    Constant Field Values

### MAX_VALUE

    public static final long MAX_VALUE

  The largest value of type `long`.

  See Also:
    Constant Field Values

Constructor Detail

### Long

    public Long(long value)

  Constructs a newly allocated `Long` object that represents the primitive `long` argument.

  Parameters:
    `value` - the value to be represented by the `Long` object.

Method Detail

### toString

    public static String toString(long i,
                                  int radix)

  Creates a string representation of the first argument in the radix specified by the second argument.

  If the radix is smaller than `Character.MIN_RADIX` or larger than `Character.MAX_RADIX`, then the radix `10` is used instead.

  If the first argument is negative, the first element of the result is the ASCII minus sign `'-'` (`'\u002d'`. If the first argument is not negative, no sign character appears in the result.

  The remaining characters of the result represent the magnitude of the first argument. If the magnitude is zero, it is represented by a single zero character `'0'` (`'\u0030'`); otherwise, the first character of the representation of the magnitude will not be the zero character. The following ASCII characters are used as digits:

  >         0123456789abcdefghijklmnopqrstuvwxyz

  These are `'\u0030'` through `'\u0039'` and `'\u0061'` through `'\u007a'`. If the radix is N, then the first N of these characters are used as radix-N digits in the order shown. Thus, the digits for hexadecimal (radix 16) are

  >      0123456789abcdef

  >      .

  Parameters:
    `i` - a long.
    `radix` - the radix.
  Returns:
    a string representation of the argument in the specified radix.
  See Also:
    `Character.MAX_RADIX`, `Character.MIN_RADIX`

### toString

    public static String toString(long i)

  Returns a new String object representing the specified integer. The argument is converted to signed decimal representation and returned as a string, exactly as if the argument and the radix 10 were given as arguments to the `toString(long, int)` method that takes two arguments.

  Parameters:
    `i` - a `long` to be converted.
  Returns:
    a string representation of the argument in base 10.

### parseLong

    public static long parseLong(String s,
                                 int radix)
                          throws NumberFormatException

  Parses the string argument as a signed `long` in the radix specified by the second argument. The characters in the string must all be digits of the specified radix (as determined by whether `Character.digit` returns a nonnegative value), except that the first character may be an ASCII minus sign `'-'` (`'\u002d'` to indicate a negative value. The resulting `long` value is returned.

  Note that neither `L` nor `l` is permitted to appear at the end of the string as a type indicator, as would be permitted in Java programming language source code - except that either `L` or `l` may appear as a digit for a radix greater than 22.

  An exception of type `NumberFormatException` is thrown if any of the following situations occurs:

  - The first argument is `null` or is a string of length zero.
  - The `radix` is either smaller than `Character.MIN_RADIX` or larger than `Character.MAX_RADIX`.
  - The first character of the string is not a digit of the specified `radix` and is not a minus sign `'-'` (`'\u002d'`).
  - The first character of the string is a minus sign and the string is of length 1.
  - Any character of the string after the first is not a digit of the specified `radix`.
  - The integer value represented by the string cannot be represented as a value of type `long`.

  Examples:

  >       parseLong("0", 10) returns 0L
  >       parseLong("473", 10) returns 473L
  >       parseLong("-0", 10) returns 0L
  >       parseLong("-FF", 16) returns -255L
  >       parseLong("1100110", 2) returns 102L
  >       parseLong("99", 8) throws a NumberFormatException
  >       parseLong("Hazelnut", 10) throws a NumberFormatException
  >       parseLong("Hazelnut", 36) returns 1356099454469L

  Parameters:
    `s` - the `String` containing the `long`.
    `radix` - the radix to be used.
  Returns:
    the `long` represented by the string argument in the specified radix.
  Throws:
    `NumberFormatException` - if the string does not contain a parsable integer.

### parseLong

    public static long parseLong(String s)
                          throws NumberFormatException

  Parses the string argument as a signed decimal `long`. The characters in the string must all be decimal digits, except that the first character may be an ASCII minus sign `'-'` (`\u002d'`) to indicate a negative value. The resulting long value is returned, exactly as if the argument and the radix `10` were given as arguments to the `parseLong(String, int)` method that takes two arguments.

  Note that neither `L` nor `l` is permitted to appear at the end of the string as a type indicator, as would be permitted in Java programming language source code.

  Parameters:
    `s` - a string.
  Returns:
    the `long` represented by the argument in decimal.
  Throws:
    `NumberFormatException` - if the string does not contain a parsable `long`.

### longValue

    public long longValue()

  Returns the value of this Long as a long value.

  Returns:
    the `long` value represented by this object.

### toString

    public String toString()

  Returns a String object representing this Long's value. The long integer value represented by this Long object is converted to signed decimal representation and returned as a string, exactly as if the long value were given as an argument to the `toString(long)` method that takes one argument.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this object in base 10.

### hashCode

    public int hashCode()

  Computes a hashcode for this Long. The result is the exclusive OR of the two halves of the primitive `long` value represented by this `Long` object. That is, the hashcode is the value of the expression:

  >      (int) (this.longValue() ˆ (this.longValue() >>> 32))

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object obj)

  Compares this object against the specified object. The result is `true` if and only if the argument is not `null` and is a `Long` object that contains the same `long` value as this object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare with.
  Returns:
    `true` if the objects are the same; `false` otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### valueOf

    public static Long valueOf(long value)

  Returns a `Long` instance representing the specified `long` value. If a new `Long` instance is not required, this method should generally be used in preference to the constructor `Long(long)`, as this method is likely to yield significantly better space and time performance by caching frequently requested values.

  Parameters:
    `value` - a long value.
  Returns:
    a `Long` instance representing `value`.
  Since:
    JDK 1.5, Java Card 3.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.